<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.jeecg.modules.projectManagement.mapper.FdBioanalysisTemplateMapper">
    <update id="updateTemplateBatch" parameterType="java.util.List">
        <foreach collection="templateList" item="template" index="index" open="" close="" separator=";">
            update fd_bioanalysis_template
            <set>
                proportion =#{template.proportion},
                samples_total=#{template.samplesTotal}
            </set>
            <where>
                id=#{template.id}
            </where>
        </foreach>
    </update>
</mapper>